R4 Gold Pro upgrade 1.4.5a problems

Discussion in 'R4 DS' started by Jodie, Jan 17, 2014.

  1. Jodie
    OP

    Jodie Newbie

    Newcomer
    9
    0
    Jan 16, 2014
    Sorry if this is a common question.!

    I recently upgraded my DSi XL to 1.4.5a (by accident..) and blocked my R4 from the console >.<
    I'm not really confident on how to upgrade the firmware and followed this link http://www.r4isdhc.com.cn/soft/Gold/R4isdhc-Gold1.62.rar and loaded those files onto my R4.

    I have it working on DS lite& DSi but no luck with DSi XL on 1.4.5 T_T
    Can anyone suggest something that may work?

    Thanks in advance
     
  2. Jodie
    OP

    Jodie Newbie

    Newcomer
    9
    0
    Jan 16, 2014
    Also can anybody provide a link for 3DS V7.1.0-X and DSI V1.45 Upgrade Firmware? I can't seem to access it on http://www.r4isdhc.com.cn
     
  3. Rezatron

    Rezatron Advanced Member

    Newcomer
    81
    8
    Oct 12, 2012
    Canada
    What version of gold card do you have? It can't be the 2014 version because it hasn't been blocked since the first batches come out with 7.1/1.4.5 support

    2013? or "new" (2012) version?

    Try the following link:

    http://www.r4isdhc.in/download_gold_new2013/index.html

    Once your upgrade the firmware (if that one works at all) you may have to use that kernel too.
     
  4. Jodie
    OP

    Jodie Newbie

    Newcomer
    9
    0
    Jan 16, 2014
    I'm pretty sure have the 2012 version.
    I just downloaded both kernel and upgrade from that link am about to give it a shot, I have a feeling i may have tried running this update already without success but I'll see how it goes.
    Do i need to run it on a DS lite or is DSi fine?

    Thanks for the help!
     
  5. Jodie
    OP

    Jodie Newbie

    Newcomer
    9
    0
    Jan 16, 2014
    Aw no luck..
    I ran the update on my regular DSi but it's still coming up with an error message when I try and access it on DSi XL >.<
     
  6. Rezatron

    Rezatron Advanced Member

    Newcomer
    81
    8
    Oct 12, 2012
    Canada
    You didn't run anything. You have to be able to get into the R4 game selection menu to run the .nds update file. If you have a "new"/2012 gold card use the kernel and firmware upgrade here:

    http://www.r4isdhc.com/download_white_new/

    I know it doesn't match you card but the hardware should be the same

    Use your DS Lite to do this. The card in your 1.4.5 DSi won't work until the card gets flashed.

    PS: posting a photo of your card would help there are so many variations...
     
  7. Jodie
    OP

    Jodie Newbie

    Newcomer
    9
    0
    Jan 16, 2014
    I tried that firmware too and no luck.
    I think somehow an update has been run previously on the card, When trying to run the update it say's 'Kernell to low!' Current version: V:7.00?
    Is there anyway of downgrading your card?

    Thanks again for the help!
     
  8. Rezatron

    Rezatron Advanced Member

    Newcomer
    81
    8
    Oct 12, 2012
    Canada
    Yes I am familiar with that kernel message and know where to get the correct one. My apologies I linked to the wrong page last time. Use the kernel at the page below (first delete the __rpg folder and _ds_menu.dat from your microSD):

    http://www.r4isdhc.in/download_gold_new2013/index.html
     
  9. Jodie
    OP

    Jodie Newbie

    Newcomer
    9
    0
    Jan 16, 2014
    It's now saying ‘The current version and the upgrade are the same, no need to update’.. It must of had the update installed already.
    Is there anyway to downgrade the R4, and try running V.7.1.0 again?
     
  10. Rezatron

    Rezatron Advanced Member

    Newcomer
    81
    8
    Oct 12, 2012
    Canada
    No you can't downgrade the R4 or your system. If you already flashed the card (in the R4i flasher program) it should now work in your DSi meaning you should get passed the black "an errored has occured" screen? Do you?

    Did you put on the kernel from the page I last linked to? I'm not talking about the firmware upgrade, i'm talking about the kernel upgrade (the "patch" folder and "_ds_menu.dat" file). With that kernel you shouldn't see "the kernel is too low" message.
     
  11. Jodie
    OP

    Jodie Newbie

    Newcomer
    9
    0
    Jan 16, 2014
    I used the kernel with the 'Patch' folder from the last link before using the firmware upgrade, and it's still not working on the 1.4.5 system..
    I'm still getting the same error message from when I first upgraded the DSi XL to 1.4.5.

    I'm not sure what R4i flasher program is, I've just been copying the firmware update to the root of the SD card.
     
  12. Rezatron

    Rezatron Advanced Member

    Newcomer
    81
    8
    Oct 12, 2012
    Canada
  13. Jodie
    OP

    Jodie Newbie

    Newcomer
    9
    0
    Jan 16, 2014
    Correct, I think I had already ran the 7.00 update when the problem first occurred but I was still unable to access my R4 on the 1.4.5 system.
    And yes the screen on the link is what I've been getting but with the update versions different.

    I think I'm running out of options which blows because I can't afford another R4 right now >.<
     
  14. Rezatron

    Rezatron Advanced Member

    Newcomer
    81
    8
    Oct 12, 2012
    Canada
    I've had a few cards like these that I couldn't get working on a 1.4.5 DSi or 3DS only a DS Lite even though they should. The card is just faulty sorry.

    BTW the 2013 cards supported 1.4.5 from day one as 1.4.5 was released before the 2013 cards came to market so an update was never required.
     
  15. Jodie
    OP

    Jodie Newbie

    Newcomer
    9
    0
    Jan 16, 2014
    Yeah I was just going to buy another card I was just broke this week and had plenty of time off to game.! is the R4i 3DS the best option?
    Cheers for all the help trying to get in working though ^_^